
TYPO3.Flow - Feature # 14037

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: I18n
Created: 2011-03-24 Assigned To: Karsten Dambekalns
Updated: 2011-12-21 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Translation files (XLIFF) must be possible per package
Description

Currently the XliffTranslationProvider uses a hardcoded base path to look for XLIFF files of 
resource://FLOW3/Private/Locale/Translations/.

But it is necessary to have translations in each package, as it does not make sense to have labels for the Blog package in the FLOW3
package.

Also the TranslateViewHelper needs to offer the use of labels from different packages  - e.g. to use labels from the Blog by default but
fetch labels for the login screen from a shared file in the FLOW3 package.

Related issues:
related to TYPO3.Flow - Task # 11954: Check the current status of i18n / L10n Resolved

Associated revisions
Revision f5afd4fc - 2011-12-06 13:02 - Zach Davis

[FEATURE] Allow translation files (XLIFF) on a per package basis

Fixes issue in which XliffTranslationProvider prefaces a hardcoded
base path of resource://FLOW3/Private/Locale/Translations before
the sourceName argument passed to getTranslationByOriginalLabel and
getTranslationById methods.

This fix modifies the translateById and translateByOriginalLabel
methods in the TYPO3\FLOW3\I18n\Translator to use packageKey
as an argument. The XliffTranslationProvider will construct a
base path of "<packageName>/Private/Locale/Translations". This base
path is prepended to the value of the sourceName argument to create
the translation file resource string.

Unit tests have been adjusted as well to accommodate these changes
to the XliffTranslationProvider and Translator classes. The
TranslationProviderInterface has been adjusted as well.

Change-Id: Iff62c0dc4cf47f8b2d5a9d143132ab64e2012891
Resolves: #14037
Releases: 1.1

History
#1 - 2011-04-01 13:38 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2011-07-06 19:41 - Karsten Dambekalns
- Target version changed from 1.0 beta 1 to 1.1

#3 - 2011-08-19 15:14 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Iff62c0dc4cf47f8b2d5a9d143132ab64e2012891 has been pushed to the review server.
It is available at http://review.typo3.org/4430

#4 - 2011-08-19 15:15 - Mr. Hudson

Patch set 1 of change Ic2b9fe9e2ce20d37ec422c15acc76500e86063cf has been pushed to the review server.
It is available at http://review.typo3.org/4431

#5 - 2011-08-19 18:25 - Mr. Hudson

Patch set 2 of change Iff62c0dc4cf47f8b2d5a9d143132ab64e2012891 has been pushed to the review server.
It is available at http://review.typo3.org/4430

#6 - 2011-08-19 18:27 - Mr. Hudson

Patch set 2 of change Ic2b9fe9e2ce20d37ec422c15acc76500e86063cf has been pushed to the review server.
It is available at http://review.typo3.org/4431

#7 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#8 - 2011-11-14 12:54 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#9 - 2011-11-14 13:01 - Mr. Hudson

Patch set 3 of change Ic2b9fe9e2ce20d37ec422c15acc76500e86063cf has been pushed to the review server.
It is available at http://review.typo3.org/4431

#10 - 2011-11-14 13:05 - Mr. Hudson

Patch set 4 of change Ic2b9fe9e2ce20d37ec422c15acc76500e86063cf has been pushed to the review server.
It is available at http://review.typo3.org/4431

#11 - 2011-11-22 00:51 - Mr. Jenkins

Patch set 3 of change Iff62c0dc4cf47f8b2d5a9d143132ab64e2012891 has been pushed to the review server.
It is available at http://review.typo3.org/4430

#12 - 2011-11-30 16:23 - Mr. Jenkins

Patch set 4 of change Iff62c0dc4cf47f8b2d5a9d143132ab64e2012891 has been pushed to the review server.
It is available at http://review.typo3.org/4430

#13 - 2011-12-06 16:57 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/4430

#14 - 2011-12-20 16:18 - Karsten Dambekalns
- % Done changed from 0 to 100

#15 - 2011-12-20 16:19 - Karsten Dambekalns
- Status changed from Under Review to Resolved

#16 - 2011-12-21 12:37 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
